Package org.eclipse.rdf4j.sail.shacl

## Enum ShaclSail.TransactionSettings.PerformanceHint

- java.lang.Object
- - java.lang.Enum<ShaclSail.TransactionSettings.PerformanceHint>
  - - org.eclipse.rdf4j.sail.shacl.ShaclSail.TransactionSettings.PerformanceHint

- All Implemented Interfaces:
    `Serializable`, `Comparable<ShaclSail.TransactionSettings.PerformanceHint>`, `TransactionSetting`
  Enclosing class:
    ShaclSail.TransactionSettings

      @Experimental
      public static enum ShaclSail.TransactionSettings.PerformanceHint
      extends Enum<ShaclSail.TransactionSettings.PerformanceHint>
      implements TransactionSetting

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CacheDisabled` | Do not cache intermediate results.
    `CacheEnabled` | Cache intermediate results.
    `ParallelValidation` | Run validation is parallel (multithreaded).
    `SerialValidation` | Run validation serially (single threaded)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | The globally unique transaction settings name.
    `String` | `getValue()` | The value for this transaction setting.
    `static ShaclSail.TransactionSettings.PerformanceHint` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ShaclSail.TransactionSettings.PerformanceHint[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ParallelValidation

          public static final ShaclSail.TransactionSettings.PerformanceHint ParallelValidation

      Run validation is parallel (multithreaded).

    - #### SerialValidation

          public static final ShaclSail.TransactionSettings.PerformanceHint SerialValidation

      Run validation serially (single threaded)

    - #### CacheEnabled

          public static final ShaclSail.TransactionSettings.PerformanceHint CacheEnabled

      Cache intermediate results. Uses more memory but can reduce validation time.

    - #### CacheDisabled

          public static final ShaclSail.TransactionSettings.PerformanceHint CacheDisabled

      Do not cache intermediate results.

  - ### Method Detail

    - #### values

          public static ShaclSail.TransactionSettings.PerformanceHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShaclSail.TransactionSettings.PerformanceHint c : ShaclSail.TransactionSettings.PerformanceHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShaclSail.TransactionSettings.PerformanceHint valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Description copied from interface: `TransactionSetting`
      The globally unique transaction settings name. Warning: do not use double underscore (__) in the name.
      Specified by:
        `getName` in interface `TransactionSetting`
      Returns:
        the name of this setting, typically its canonical class name

    - #### getValue

          public String getValue()

      Description copied from interface: `TransactionSetting`
      The value for this transaction setting.
      Specified by:
        `getValue` in interface `TransactionSetting`
      Returns:
        a string representation of the value